User Tools

Site Tools


wdb:downloads

Downloads

You can install WDB by compiling its source code release directly, or by installing the prepackaged binaries (if there is one for your operating system). WDB is currently in development toward 1.0; as a result, there is no attempt to keep successive updates compatible. To upgrade, one must uninstall the old version and install the new version. We do not intend to focus on maintaining compatibility across versions until we release version 1.0.

Source Code

The latest source code release is available in the (download directory).

Be sure to read the general instructions (README and INSTALL) for building from the source tarball, and the specific instructions within the source code itself.

Earlier versions of the WDB system were released in a single package. From version 0.8.0, the WDB system is released in multiple packages.

  • WDB The core of the WDB system (database and interface)
  • LoaderBase The basic loading program libraries
  • GribLoad The gribLoad application (dependent on LoaderBase)

Further packages (for other loading programs) will be added eventually.

WDB is dependent on a number of specific components and libraries. Specifically:

  • Postgres 8.1.x or later
  • Postgis 1.3.x or later
  • Pqxx 2.6.9
  • Boost 1.33.1 or later
  • Log4Cpp 1.0.x or later
  • Proj.4 4.4.9 or later
  • GNU readline 5.0.x or later

In addition, the following libraries are required for the loading programs:

  • ECMWF GRIB API 1.3.x or later (for loading of GRIB files)
  • KvalObs System (for loading of observations from KvalObs)

To generate the documentation, the following applications are required:

  • xmlto 0.0.18 or later
  • doxygen 1.4.6 or later

Binary Packages

We are developing a Debian package of WDB, which we intend to release and maintain. Contact the development group if you wish to test it.

wdb/downloads.txt · Last modified: 2009-05-30 00:59:45 by michaeloa